set moduleName phase_recovery
set isCombinational 0
set isDatapathOnly 0
set isPipelined 0
set isOneStateSeq 0
set C_modelName phase_recovery
set C_modelType { int 52 }
set C_modelArgList { 
	{ hd_out_i_V int 5  }
	{ hd_out_q_V int 5  }
	{ sd_out_i_V int 16  }
	{ sd_out_q_V int 16  }
	{ control_lf_p int 8  }
	{ control_lf_i int 8  }
	{ control_lf_out_gain int 8  }
	{ control_reg_clr int 1  }
	{ control_reg_init_V int 28  }
}

# RTL Port declarations: 
set portNum 18
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ ap_start sc_in sc_logic 1 start -1 } 
	{ ap_done sc_out sc_logic 1 predone -1 } 
	{ ap_idle sc_out sc_logic 1 done -1 } 
	{ ap_ready sc_out sc_logic 1 ready -1 } 
	{ hd_out_i_V sc_in sc_lv 5 signal 0 } 
	{ hd_out_q_V sc_in sc_lv 5 signal 1 } 
	{ sd_out_i_V sc_in sc_lv 16 signal 2 } 
	{ sd_out_q_V sc_in sc_lv 16 signal 3 } 
	{ control_lf_p sc_in sc_lv 8 signal 4 } 
	{ control_lf_i sc_in sc_lv 8 signal 5 } 
	{ control_lf_out_gain sc_in sc_lv 8 signal 6 } 
	{ control_reg_clr sc_in sc_lv 1 signal 7 } 
	{ control_reg_init_V sc_in sc_lv 28 signal 8 } 
	{ ap_return_0 sc_out sc_lv 28 signal -1 } 
	{ ap_return_1 sc_out sc_lv 12 signal -1 } 
	{ ap_return_2 sc_out sc_lv 12 signal -1 } 
}

set Spec2ImplPortList { 
	hd_out_i_V { ap_none {  { hd_out_i_V in_data 0 5 } } }
	hd_out_q_V { ap_none {  { hd_out_q_V in_data 0 5 } } }
	sd_out_i_V { ap_none {  { sd_out_i_V in_data 0 16 } } }
	sd_out_q_V { ap_none {  { sd_out_q_V in_data 0 16 } } }
	control_lf_p { ap_none {  { control_lf_p in_data 0 8 } } }
	control_lf_i { ap_none {  { control_lf_i in_data 0 8 } } }
	control_lf_out_gain { ap_none {  { control_lf_out_gain in_data 0 8 } } }
	control_reg_clr { ap_none {  { control_reg_clr in_data 0 1 } } }
	control_reg_init_V { ap_none {  { control_reg_init_V in_data 0 28 } } }
}
