set moduleName crec
set isCombinational 0
set isDatapathOnly 0
set isPipelined 1
set FunctionProtocol ap_ctrl_hs
set isOneStateSeq 0
set C_modelName crec
set C_modelType { void 0 }
set C_modelArgList { 
	{ din_i_V int 16  }
	{ din_q_V int 16  }
	{ dout_mix_i_V int 16 {pointer 1}  }
	{ dout_mix_q_V int 16 {pointer 1}  }
	{ ph_in_i_V int 12  }
	{ ph_in_q_V int 12  }
	{ ph_out_i_V int 12 {pointer 1}  }
	{ ph_out_q_V int 12 {pointer 1}  }
	{ loop_integ_V int 28 {pointer 1}  }
	{ control_qam_V int 2  }
	{ control_lf_p int 8  }
	{ control_lf_i int 8  }
	{ control_lf_out_gain int 8  }
	{ control_reg_clr int 1  }
	{ control_reg_init_V int 28  }
}

# RTL Port declarations: 
set portNum 21
set portList { 
	{ din_i_V sc_in sc_lv 16 signal 0 } 
	{ din_q_V sc_in sc_lv 16 signal 1 } 
	{ dout_mix_i_V sc_out sc_lv 16 signal 2 } 
	{ dout_mix_q_V sc_out sc_lv 16 signal 3 } 
	{ ph_in_i_V sc_in sc_lv 12 signal 4 } 
	{ ph_in_q_V sc_in sc_lv 12 signal 5 } 
	{ ph_out_i_V sc_out sc_lv 12 signal 6 } 
	{ ph_out_q_V sc_out sc_lv 12 signal 7 } 
	{ loop_integ_V sc_out sc_lv 28 signal 8 } 
	{ control_qam_V sc_in sc_lv 2 signal 9 } 
	{ control_lf_p sc_in sc_lv 8 signal 10 } 
	{ control_lf_i sc_in sc_lv 8 signal 11 } 
	{ control_lf_out_gain sc_in sc_lv 8 signal 12 } 
	{ control_reg_clr sc_in sc_lv 1 signal 13 } 
	{ control_reg_init_V sc_in sc_lv 28 signal 14 } 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ ap_start sc_in sc_logic 1 start -1 } 
	{ ap_done sc_out sc_logic 1 predone -1 } 
	{ ap_idle sc_out sc_logic 1 done -1 } 
	{ ap_ready sc_out sc_logic 1 ready -1 } 
}

set Spec2ImplPortList { 
	din_i_V { ap_none {  { din_i_V in_data 0 16 } } }
	din_q_V { ap_none {  { din_q_V in_data 0 16 } } }
	dout_mix_i_V { ap_none {  { dout_mix_i_V out_data 1 16 } } }
	dout_mix_q_V { ap_none {  { dout_mix_q_V out_data 1 16 } } }
	ph_in_i_V { ap_none {  { ph_in_i_V in_data 0 12 } } }
	ph_in_q_V { ap_none {  { ph_in_q_V in_data 0 12 } } }
	ph_out_i_V { ap_none {  { ph_out_i_V out_data 1 12 } } }
	ph_out_q_V { ap_none {  { ph_out_q_V out_data 1 12 } } }
	loop_integ_V { ap_none {  { loop_integ_V out_data 1 28 } } }
	control_qam_V { ap_none {  { control_qam_V in_data 0 2 } } }
	control_lf_p { ap_none {  { control_lf_p in_data 0 8 } } }
	control_lf_i { ap_none {  { control_lf_i in_data 0 8 } } }
	control_lf_out_gain { ap_none {  { control_lf_out_gain in_data 0 8 } } }
	control_reg_clr { ap_none {  { control_reg_clr in_data 0 1 } } }
	control_reg_init_V { ap_none {  { control_reg_init_V in_data 0 28 } } }
}

# RTL port scheduling information:
set fifoSchedulingInfoList { 
}
