set moduleName mix
set isCombinational 0
set isDatapathOnly 0
set isPipelined 0
set isOneStateSeq 0
set C_modelName mix
set C_modelType { int 64 }
set C_modelArgList { 
	{ din_i_V int 16  }
	{ din_q_V int 16  }
	{ ph_offset_i_V int 12  }
	{ ph_offset_q_V int 12  }
}

# RTL Port declarations: 
set portNum 15
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ ap_start sc_in sc_logic 1 start -1 } 
	{ ap_done sc_out sc_logic 1 predone -1 } 
	{ ap_continue sc_in sc_logic 1 continue -1 } 
	{ ap_idle sc_out sc_logic 1 done -1 } 
	{ ap_ready sc_out sc_logic 1 ready -1 } 
	{ din_i_V sc_in sc_lv 16 signal 0 } 
	{ din_q_V sc_in sc_lv 16 signal 1 } 
	{ ph_offset_i_V sc_in sc_lv 12 signal 2 } 
	{ ph_offset_q_V sc_in sc_lv 12 signal 3 } 
	{ ap_return_0 sc_out sc_lv 16 signal -1 } 
	{ ap_return_1 sc_out sc_lv 16 signal -1 } 
	{ ap_return_2 sc_out sc_lv 16 signal -1 } 
	{ ap_return_3 sc_out sc_lv 16 signal -1 } 
}

set Spec2ImplPortList { 
	din_i_V { ap_none {  { din_i_V in_data 0 16 } } }
	din_q_V { ap_none {  { din_q_V in_data 0 16 } } }
	ph_offset_i_V { ap_none {  { ph_offset_i_V in_data 0 12 } } }
	ph_offset_q_V { ap_none {  { ph_offset_q_V in_data 0 12 } } }
}
