set moduleName slicer
set isCombinational 0
set isDatapathOnly 0
set isPipelined 0
set isOneStateSeq 1
set C_modelName slicer
set C_modelType { int 42 }
set C_modelArgList { 
	{ dout_mix_i_V_read int 16  }
	{ dout_mix_q_V_read int 16  }
}

# RTL Port declarations: 
set portNum 13
set portList { 
	{ ap_clk sc_in sc_logic 1 clock -1 } 
	{ ap_rst sc_in sc_logic 1 reset -1 active_high_sync } 
	{ ap_start sc_in sc_logic 1 start -1 } 
	{ ap_done sc_out sc_logic 1 predone -1 } 
	{ ap_continue sc_in sc_logic 1 continue -1 } 
	{ ap_idle sc_out sc_logic 1 done -1 } 
	{ ap_ready sc_out sc_logic 1 ready -1 } 
	{ dout_mix_i_V_read sc_in sc_lv 16 signal 0 } 
	{ dout_mix_q_V_read sc_in sc_lv 16 signal 1 } 
	{ ap_return_0 sc_out sc_lv 5 signal -1 } 
	{ ap_return_1 sc_out sc_lv 5 signal -1 } 
	{ ap_return_2 sc_out sc_lv 16 signal -1 } 
	{ ap_return_3 sc_out sc_lv 16 signal -1 } 
}

set Spec2ImplPortList { 
	dout_mix_i_V_read { ap_none {  { dout_mix_i_V_read in_data 0 16 } } }
	dout_mix_q_V_read { ap_none {  { dout_mix_q_V_read in_data 0 16 } } }
}
