%__________________________________________________________________________
% crec_init.m
% - initialize crec module
%
% a. paek, nov 2012
%__________________________________________________________________________


qam_mode   = 2;       % 1: QPSK, 2: 16 QAM, 3: 64 QAM, 4: 256 QAM
Fsymb = 6.25;    % symbol rate, MHz
Fw    = 8;       % channel spacing
Fadc  = 50;      % ADC rate, MHz
Fif   = Fadc/4;  % IF frequency
Feq   = Fadc/2;  % time unit for CREC+EQ
Fclk  = 100;
Tclk  = 1/Fclk;

load cc;


